<template lang="pug">
  .page-container
    md-app#app(md-waterfall md-mode="fixed")
      md-app-toolbar.md-primary
        md-button.md-icon-button(@click="menuVisible = !menuVisible")
          md-icon.fa.fa-bars
        span.md-title Prueba Javier
      md-app-drawer(:md-active.sync="menuVisible")
        md-toolbar.md-transparent(md-elevation="0") Navegación
        md-list
          md-list-item.cursor-pointer(@click="toggle('/')")
            md-icon.fa.fa-home
            span.md-list-item-text Listado
          md-list-item.cursor-pointer(@click="toggle('/vistaFavoritos')")
            md-icon.fa.fa-heart
            span.md-list-item-text Favoritos
      md-app-content
        router-view
</template>

<script>
export default {
  name: 'app',
  data () {
    return {
      menuVisible: false
    }
  },
  methods: {
    toggle (route) {
      this.$router.push(route);
      this.menuVisible = false;
    }
  }
}
</script>

<style>
body {
  margin: 0;
}

#app {
  height: 100vh;
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.cursor-pointer {
  cursor: pointer;
}
</style>
